import { __rest } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconCpu = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = __rest(_a, ["color", "size"]);
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("rect", { x: "4", y: "4", width: "16", height: "16", rx: "2", ry: "2" }, void 0),
            _jsx("rect", { x: "9", y: "9", width: "6", height: "6" }, void 0),
            _jsx("line", { x1: "9", y1: "1", x2: "9", y2: "4" }, void 0),
            _jsx("line", { x1: "15", y1: "1", x2: "15", y2: "4" }, void 0),
            _jsx("line", { x1: "9", y1: "20", x2: "9", y2: "23" }, void 0),
            _jsx("line", { x1: "15", y1: "20", x2: "15", y2: "23" }, void 0),
            _jsx("line", { x1: "20", y1: "9", x2: "23", y2: "9" }, void 0),
            _jsx("line", { x1: "20", y1: "14", x2: "23", y2: "14" }, void 0),
            _jsx("line", { x1: "1", y1: "9", x2: "4", y2: "9" }, void 0),
            _jsx("line", { x1: "1", y1: "14", x2: "4", y2: "14" }, void 0)] }), void 0));
};
IconCpu.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconCpu.js.map