import * as React from "react";
export declare type LayerElevations = "xs" | "sm" | "md" | "lg" | "xl";
interface LayerProps extends React.HTMLAttributes<HTMLElement> {
    /** The size of the shadow to use */
    elevation?: LayerElevations;
    /** The contents of the layer */
    children: React.ReactNode;
}
/**
 * 实际就是div有周边边角，圆弧突出的div
 */
export declare const Layer: React.FunctionComponent<LayerProps>;
/**
 * 旧版本，可注入ref
 */
export declare const LayerRefComp: React.ForwardRefExoticComponent<LayerProps & React.RefAttributes<HTMLDivElement>>;
interface LayerLoadingProps extends React.HTMLAttributes<HTMLDivElement> {
    /** Whether the layer is currently loading */
    loading: boolean;
    /** An optional label to display below the loading spinner */
    label?: string;
}
export declare const LayerLoading: React.FunctionComponent<LayerLoadingProps>;
export {};
