import { __rest } from "tslib";
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { css } from "@emotion/react";
import PropTypes from "prop-types";
import { useTheme } from "./Theme/Providers";
const MOBILE_HEIGHT = "56px";
const DESKTOP_HEIGHT = "64px";
export const Toolbar = (_a) => {
    var { compressed } = _a, other = __rest(_a, ["compressed"]);
    const theme = useTheme();
    return (_jsx("div", Object.assign({ css: [
            {
                minHeight: MOBILE_HEIGHT,
                display: "flex",
                position: "relative",
                alignItems: "center",
                paddingLeft: theme.spaces.md,
                paddingRight: theme.spaces.md,
                [theme.mediaQueries.lg]: {
                    minHeight: DESKTOP_HEIGHT,
                    paddingLeft: theme.spaces.lg,
                    paddingRight: theme.spaces.lg
                }
            },
            compressed ? { minHeight: "48px !important" } : undefined
        ] }, other), void 0));
};
Toolbar.propTypes = {
    compressed: PropTypes.bool,
    children: PropTypes.node
};
export const useResponsiveBodyPadding = () => {
    const theme = useTheme();
    return css({
        paddingTop: MOBILE_HEIGHT,
        [theme.mediaQueries.lg]: {
            paddingTop: DESKTOP_HEIGHT
        }
    });
};
//# sourceMappingURL=Toolbar.js.map